Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetChatSimilarChatCount

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Count>
it.tdlight.jni.TdApi.GetChatSimilarChatCount

Enclosing class:
  TdApi

public static final class TdApi.GetChatSimilarChatCount extends TdApi.Function<TdApi.Count>
Returns approximate number of chats similar to the given chat.

Returns `Count`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of the target chat; must be an identifier of a channel chat.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`returnLocal`
Pass true to get the number of chats without sending network requests, or -1 if the number of chats is unknown locally.

## Constructor Summary

Constructors
Constructor
Description
`GetChatSimilarChatCount()`
Returns approximate number of chats similar to the given chat.
`GetChatSimilarChatCount(long chatId, boolean returnLocal)`
Returns approximate number of chats similar to the given chat.
`GetChatSimilarChatCount(DataInput input)`
Returns approximate number of chats similar to the given chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the target chat; must be an identifier of a channel chat.

### returnLocal

public boolean returnLocal
Pass true to get the number of chats without sending network requests, or -1 if the number of chats is unknown locally.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetChatSimilarChatCount

public GetChatSimilarChatCount()
Returns approximate number of chats similar to the given chat.

Returns `Count`

### GetChatSimilarChatCount

public GetChatSimilarChatCount(long chatId, boolean returnLocal)
Returns approximate number of chats similar to the given chat.

Returns `Count`

Parameters:
  `chatId` - Identifier of the target chat; must be an identifier of a channel chat.
  `returnLocal` - Pass true to get the number of chats without sending network requests, or -1 if the number of chats is unknown locally.

  Returns `Count`

### GetChatSimilarChatCount

public GetChatSimilarChatCount(DataInput input) throws IOException
Returns approximate number of chats similar to the given chat.

Returns `Count`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`